Subject: Re: linux-next: build warnings after merge of the rcu tree

From: "Leizhen (ThunderTown)" <[email-masked]>
Date: Wed, 23 Nov 2022 16:19:15 +0800

On 2022/11/23 13:32, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the rcu tree, today's linux-next build (htmldocs) produced
> these warnings:
> 
> Documentation/RCU/stallwarn.rst:401: WARNING: Literal block expected; none found.
> Documentation/RCU/stallwarn.rst:428: WARNING: Literal block expected; none found.
> Documentation/RCU/stallwarn.rst:445: WARNING: Literal block expected; none found.
> Documentation/RCU/stallwarn.rst:459: WARNING: Literal block expected; none found.
> Documentation/RCU/stallwarn.rst:468: WARNING: Literal block expected; none found.
> 
> Introduced by commit
> 
>   3d2788ba4573 ("doc: Document CONFIG_RCU_CPU_STALL_CPUTIME=y stall information")
> 

Strange thing, I specially executed make htmldocs before, unexpectedly did not
find these warnings.

I already know why. The literal block is not indented. I will post a new version to
Paul E. McKenney. Excuse me for causing trouble to everyone.

For example:
@@ -398,9 +398,9 @@ In kernels built with CONFIG_RCU_CPU_STALL_CPUTIME=y or booted with
 rcupdate.rcu_cpu_stall_cputime=1, the following additional information
 is supplied with each RCU CPU stall warning::

-rcu:          hardirqs   softirqs   csw/system
-rcu:  number:      624         45            0
-rcu: cputime:       69          1         2425   ==> 2500(ms)
+  rcu:          hardirqs   softirqs   csw/system
+  rcu:  number:      624         45            0
+  rcu: cputime:       69          1         2425   ==> 2500(ms)

-- 
Regards,
  Zhen Lei